Package org.apache.sling.distribution.util

## Class RequestUtils

- java.lang.Object
- - org.apache.sling.distribution.util.RequestUtils

    public class RequestUtils
    extends Object

Utility class for HTTP / distribution request related operations.

### Constructor Summary

Constructors
`RequestUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static URI` `appendDistributionRequest​(URI uri, org.apache.sling.distribution.DistributionRequest distributionRequest)`
`static org.apache.sling.distribution.DistributionRequest` `fromServletRequest​(javax.servlet.http.HttpServletRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestUtils

    public RequestUtils()

### Method Detail

#### fromServletRequest

    public static org.apache.sling.distribution.DistributionRequest fromServletRequest​(javax.servlet.http.HttpServletRequest request)

#### appendDistributionRequest

    public static URI appendDistributionRequest​(URI uri,
                                                org.apache.sling.distribution.DistributionRequest distributionRequest)
                                         throws URISyntaxException

Throws:
  `URISyntaxException`